import java.awt.Shape;
import java.awt.geom.Ellipse2D;

/**
 * Ein Tisch, der manipuliert werden kann und sich selbst auf einer Leinwand zeichnet.
 * 
 * @author Claus Albowski
 * @version 1.3  (22.01.05)
 */
public class Tisch extends Moebel
{

  /**
   * Erzeuge einen neuen Tisch mit einer Standardfarbe an einer
   * Standardposition.
   */
    public Tisch()
  {
    xPosition = 120;
    yPosition = 150;
    orientierung = 0;
    farbe = "rot";
    istSichtbar = false;
    breite = 120;
    tiefe  = 100;
  }
  
  /**
   * Berechnet das zu zeichnende Shape anhand der gegebenen Daten
   */
  protected Shape gibAktuelleFigur()
  {
      Shape tisch = new Ellipse2D.Double(0 , 0, breite, tiefe);
      return  transformiere(tisch);
  }
  
}
